|

Retrieve a business

get/businesses/{fp_bid}
External ID
View basic details for a business. See the APIs under the Buiness vault section for information on reading vault data.

Request

Path parameters

fp_bid·

string

Response

Basic information about a business
external_id·

optional string

id·

string

requires_manual_review·

boolean

status·

string

Allowed values:

pass
fail
incomplete
pending
none
statuses·

optional array of objects

Statuses set for this business
kind·

string

The slug of the status.
updated_at·

string

value·

optional string

The value of the kind of status.
GET /businesses/{fp_bid}
1curl https://api.onefootprint.com/businesses/{fp_bid} \
2  -u sk_test_xxxxx:
Response example
{
  "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
  "id": "fp_bid_7p793EF07xKXHqAeg5VGPj",
  "requires_manual_review": true,
  "status": "pass",
  "statuses": [
    {
      "kind": "Lorem ipsum dolor",
      "updated_at": "2022-01-04T12:00-07:00",
      "value": "Lorem ipsum dolor"
    },
    {
      "kind": "Lorem ipsum dolor",
      "updated_at": "2022-01-04T12:00-07:00",
      "value": "Lorem ipsum dolor"
    }
  ]
}